Skip to main content

Get Device meta data

GET 

/api/v1/device/:deviceId

This service message allow to get device meta data and properties

Request​

Path Parameters

    deviceId stringrequired

Responses​

Schema

    id stringrequired
    lastUpdatedDate date-time
    lastConnectionDate date-time
    name string
    OS string
    availableStorage string
    power number
    bandwidth number
    operativeState boolean
    state string

    Possible values: [online, active, offline, disconnected]

    Connectivity state, computed at read-time: online > active > offline > disconnected.

    status string[]

    Possible values: [updating, error, restricted]

    Operational conditions; a device may have several at once (updating/error/restricted).

    online boolean

    True when the device currently holds an open reactive (managed-command) SSE channel.

    metaData object
    groupName string
    groupId number
    uid string
    formations string[]
    platformName string
    platformTypeName string

    The device's platform type name (server-derived from the platform_type catalog).

    deviceTypeName string
    devices string[]
    platformId string

    Platform instance id reported by the agent.

Loading...